OpenVDB 7.0.0

Classes | Public Types | Public Member Functions | List of all members
BuildPrimarySegment< TreeType, Operation > Struct Template Reference

`#include <Composite.h>`

## Public Types
using | ValueType = typename TreeType::ValueType
using | TreePtrType = typename TreeType::Ptr
using | LeafNodeType = typename TreeType::LeafNodeType
using | NodeMaskType = typename LeafNodeType::NodeMaskType
using | RootNodeType = typename TreeType::RootNodeType
using | NodeChainType = typename RootNodeType::NodeChainType
using | InternalNodeType = typename boost::mpl::at< NodeChainType, boost::mpl::int_< 1 > >::type

## Public Member Functions
| BuildPrimarySegment (const TreeType &lhs, const TreeType &rhs)
void | operator() () const
TreePtrType & | segment ()

## Member Typedef Documentation

## ◆ InternalNodeType

using InternalNodeType = typename boost::mpl::at<NodeChainType, boost::mpl::int_<1> >::type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ NodeChainType

using NodeChainType = typename RootNodeType::NodeChainType

## ◆ NodeMaskType

using NodeMaskType = typename LeafNodeType::NodeMaskType

## ◆ RootNodeType

using RootNodeType = typename TreeType::RootNodeType

## ◆ TreePtrType

using TreePtrType = typename TreeType::Ptr

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ BuildPrimarySegment()

BuildPrimarySegment | ( | const TreeType & | lhs,
|  | const TreeType & | rhs
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( |  | ) | const
| inline

## ◆ segment()

TreePtrType& segment | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- Composite.h